# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.676   -> 1.677  
#	drivers/usb/input/usbkbd.c	1.19    -> 1.20   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/10/02	davem@redhat.com	1.677
# [PATCH] USB: usbkbd fix
# 
# --------------------------------------------
#
diff -Nru a/drivers/usb/input/usbkbd.c b/drivers/usb/input/usbkbd.c
--- a/drivers/usb/input/usbkbd.c	Wed Oct  2 22:40:34 2002
+++ b/drivers/usb/input/usbkbd.c	Wed Oct  2 22:40:34 2002
@@ -280,7 +280,7 @@
 
 	if (!(buf = kmalloc(63, GFP_KERNEL))) {
 		usb_free_urb(kbd->irq);
-		usb_kbd_free_buffers(dev, kbd);
+		usb_kbd_free_mem(dev, kbd);
 		kfree(kbd);
 		return -ENOMEM;
 	}
@@ -321,7 +321,7 @@
 	if (kbd) {
 		usb_unlink_urb(kbd->irq);
 		input_unregister_device(&kbd->dev);
-		usb_kbd_free_buffers(interface_to_usbdev(intf), kbd);
+		usb_kbd_free_mem(interface_to_usbdev(intf), kbd);
 		kfree(kbd);
 	}
 }
